Name:            systemd  
Url:              http://www.freedesktop.org/wiki/Software/systemd  
Version:         0
Release:         0  
License:         GPLv2+  
Group:           System Environment/Base
Summary:         A System and Session Manager  
BuildRequires:   libudev-devel  
BuildRequires:   libcap-devel  
BuildRequires:   libcgroup-devel  
BuildRequires:   dbus-glib-devel vala pkgconfig gtk2-devel  
Source0:         http://www.freedesktop.org/FIXME/%{name}-%{version}.tar.bz2  

  
%description 
Systemd is a system and session manager compatible with Sysv init and LSB init 
script headers. Systemd has aggressive parallelization capabilities, uses D-Bus activation for starting services and keeps track of process using cgroups.  

%prep  
%setup -q  
  
%build  
# prevent man pages from re-building (xmlto)  
find . -name "*.[78]" -exec touch '{}' \;  
export V=1  
%configure \  
  --sbindir=/sbin \  
  --libexecdir=/lib/systemd \  
  --with-distro=fedora \  
  CFLAGS="$RPM_OPT_FLAGS"  
make %{?_smp_mflags}
  
%install  
make DESTDIR=$RPM_BUILD_ROOT install  


%files  
%defattr(-,root,root,-)  
%dir %{_sysconfdir}/systemd  
%{_sysconfdir}/systemd/*  
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.systemd1.conf  
%{_sysconfdir}/xdg/systemd/session  
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.*.xml  
%{_libdir}/udev/rules.d/*.rules  
%{_sbindir}/systemd  
%{_bindir}/systemctl 
%{_bindir}/systemadm  
%{_mandir}/man?/*.[0-9]*  
%{_libdir}/systemd  
%{_datadir)/systemd
  
%changelog  
* Tue Jun 01 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.0
- Initial spec (adopted from Kay Sievers)
